//+------------------------------------------------------------------+
//|                                                  Swingpoints.mq4 |
//|                                   Copyright 2013, Philipp Koerge |
//|                                                      Unavailable |
//+------------------------------------------------------------------+
#property copyright "Copyright 2013, Philipp Koerge"
#property link      "Unavailable"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1  Gold
#property indicator_color2  DodgerBlue

//input parameters
extern int lookback = 5;
extern int N =5;
//Buffers
double Highbuffer[];
double Lowbuffer[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- drawing settings
   SetIndexStyle(0,DRAW_LINE);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexDrawBegin(0, N);
   SetIndexDrawBegin(1, N);
   SetIndexArrow(0,159);
   SetIndexArrow(1,159);
//---- indicator buffers mapping
   SetIndexBuffer(0,Highbuffer);
   SetIndexBuffer(1,Lowbuffer);
//---- name for DataWindow and indicator subwindow label
   IndicatorShortName("Swingpoints");
   SetIndexLabel(0,"Swing_High");
   SetIndexLabel(1,"Swing_Low");
//---- initialization done
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
void start() 
  {
   int counted = IndicatorCounted();
//----
   if(counted < 0) 
       return (-1);
//----  
   if(counted > 0) 
       counted--;
   int limit = Bars - counted;
//----  
   for(int i = 0; i < limit; i++) 
     {
       Highbuffer[i] = iHighest(NULL,0,MODE_HIGH,lookback,i);
       
       Lowbuffer[i] = iLowest(NULL,0,MODE_LOW,lookback,i);
     }
  }
//+------------------------------------------------------------------+